php还是java,选择比努力更重要!-阿里云开发者社区

开发者社区> landmark_csl> 正文

php还是java,选择比努力更重要!

简介:
+关注继续查看

首先介绍一下我自己,一直在从事教育行业,有十几年的IT培训经验,从干这行起一直到现在,总会有人问你:服务器端开发是学php好还是java好,如果你告诉她(他)学习php好,他(她)会反问,听说php只能做服务器开发,java啥都能做,你告诉她java好,他(她)会反问,听说java挺难的,php入门简单,上手快!,擦!你都知道干嘛问我!心中顿时有一万头神兽滚滚而过!
在我看来,选择学什么并不重要,关键是看你自身的条件,如果你是211,985你学啥都行!如果你连一个基本的循环问题搞起来都费劲,你基本没啥选择的余地,学php!php是最简单的语言!
php是最简单的语言!php是最简单的语言!重要的事情说三遍!如果你连php都学不会,转行吧,看看其他行业有没有适合你的,不要搞编程了!你不适合!
如果你想学php,那么问题来了,是自学还是视频,或者培训?根据我个人的经验
1 自学适合自控力强,有自学能力的小伙伴。优点呢是省钱,缺点是对一般人失败了非常高,坚持不下来很正常,没有项目经验,学习过程很无趣。
2 看视频,经常会有人说想学习语言到网上下一套视频不就行了,其实对大部分人来说免费的视频并不适合你,没人督促,没人指导对你来说基本就是三天的热度,三天过后一切照旧!
3 培训,缺点是费用高,优点是系统学习,项目实战,有学习气氛,学习效果有保证
对一般人来说,如果你没有足够的自制力,一定的自学能力,还是选择培训吧,否则你回浪费很多时间,最终的结果还是学不会!(想知道自己的自制力吗,你只需两周养成一个新习惯就证明你有自制力!)
如果选择培训,选择哪家机构,这很重要,在众多php培训机构中,非常出名的是兄弟连,不过这都是过去式了,随着很多知名讲师的出走,兄弟连不在是php培训界的扛把子了,现在滞留1000多学员无法就业;然后是达内,名声在外啊,拿手好戏是让你面试,然后狂虐你,告诉你你不行,我们这有一个岗前培训,通过了就可以上岗,不过是要交费的!满满的套路啊!传智php课程体系比较旧了,教的还是几年前的东西,而且填鸭式教学,满堂灌,学生消化不好!学员薪资比较低。千锋php课程体系非常新!教授最新的php7.0,课程体系结构也很好!,但要求起点必须大专以上!还有韩顺平老师的泰牛等就不做点评了。
如果你有自制力,自学能力还是自学吧省钱呐!

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
阿里云服务器怎么设置密码?怎么停机?怎么重启服务器?
如果在创建实例时没有设置密码,或者密码丢失,您可以在控制台上重新设置实例的登录密码。本文仅描述如何在 ECS 管理控制台上修改实例登录密码。
9489 0
JavaScript ~ 排序算法(选择排序)
<!DOCTYPE html> <html lang="en"> <head> <meta charset="UTF-8"> <title>Title</title> <link type="text/css" rel="stylesheet" href="style/flex.
943 0
阿里云服务器端口号设置
阿里云服务器初级使用者可能面临的问题之一. 使用tomcat或者其他服务器软件设置端口号后,比如 一些不是默认的, mysql的 3306, mssql的1433,有时候打不开网页, 原因是没有在ecs安全组去设置这个端口号. 解决: 点击ecs下网络和安全下的安全组 在弹出的安全组中,如果没有就新建安全组,然后点击配置规则 最后如上图点击添加...或快速创建.   have fun!  将编程看作是一门艺术,而不单单是个技术。
10843 0
阿里云服务器如何登录?阿里云服务器的三种登录方法
购买阿里云ECS云服务器后如何登录?场景不同,阿里云优惠总结大概有三种登录方式: 登录到ECS云服务器控制台 在ECS云服务器控制台用户可以更改密码、更换系.
13172 0
选择 Java 编写 iOS 与 安卓 App的八大理由
本文作者为 RoboVM 的 CEO 兼联合创始人 Henric Müller,主要介绍选用 Java 编写移动应用的八大理由。文章系国内 ITOM 管理平台 OneAPM 编译呈现。
1707 0
PHP关于VC9和VC6以及Thread Safe和Non Thread Safe版本选择的问题
关于VC9和VC6以及Thread Safe和Non Thread Safe版本选择的问题 一、如何选择PHP5.3的VC9版本和VC6版本       VC6版本是使用Visual Studio 6编译器编译的,如果你的PHP是用Apache来架设的,那你就选择VC6版本。
822 0
+关注
19
文章
1
问答
文章排行榜
最热
最新
相关电子书
更多
《2021云上架构与运维峰会演讲合集》
立即下载
《零基础CSS入门教程》
立即下载
《零基础HTML入门教程》
立即下载